
DeadDrop - Feature #19

Encrypt local config files

07/18/2023 11:27 AM - Sancho Fock

Status: Closed Start date: 07/24/2023

Priority: Normal Due date: 07/26/2023

Assignee: Sancho Fock % Done: 100%

Category: Client Estimated time: 16:00 hours

Target version: 0.2.0   

Description

The Client configuration Files shall be saved encrypted

Related issues:

Precedes Feature #15: Protect Client by Password Closed 10/06/2023 10/14/2023

Precedes Feature #36: Release V0.2.0 Closed 07/27/2023 07/27/2023

History

#1 - 07/18/2023 01:00 PM - Sancho Fock

- Estimated time set to 4:00 h

#2 - 07/19/2023 02:35 AM - Sancho Fock

- Target version changed from open to 0.2.0

#3 - 07/20/2023 02:03 AM - Sancho Fock

- Start date changed from 07/18/2023 to 07/22/2023

#4 - 07/23/2023 09:01 PM - Sancho Fock

- Precedes Feature #15: Protect Client by Password added

#5 - 07/24/2023 10:28 PM - Sancho Fock

- Due date set to 07/25/2023

- Status changed from New to In Progress

- Start date changed from 07/22/2023 to 07/24/2023

- Estimated time changed from 4:00 h to 8:00 h

#6 - 07/24/2023 10:41 PM - Sancho Fock

- Estimated time changed from 8:00 h to 16:00 h

Increased estimated effort, because for this feature it is necessary to refactor the file management and abstract the encryption layer

#7 - 07/24/2023 10:41 PM - Sancho Fock

- Due date changed from 07/25/2023 to 07/26/2023

#8 - 07/25/2023 11:18 PM - Sancho Fock

- % Done changed from 0 to 70

#9 - 07/26/2023 03:36 PM - Sancho Fock

- % Done changed from 70 to 90

#10 - 07/26/2023 11:45 PM - Sancho Fock

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#11 - 07/26/2023 11:48 PM - Sancho Fock
- Precedes Feature #4: Implement USER ROLES added

#12 - 07/26/2023 11:58 PM - Sancho Fock

- Precedes Feature #36: Release V0.2.0 added

#13 - 07/26/2023 11:59 PM - Sancho Fock

- Precedes deleted (Feature #4: Implement USER ROLES)
